π Version 2.0 is now live! See our changelog for details
π Version 2.0 is now live! See our changelog for details
curl --request POST \
--url https://api.tenbyte.io/v1/stream/libraries/{libraryId}/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/sample/BigBuckBunny.mp4"
}
'{
"data": {
"updated_at": "2025-11-10T14:44:36.377486+06:00",
"created_at": "2025-11-10T14:44:36.377486+06:00",
"assets": {
"thumbnails": {
"preview_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/preview.webp",
"sprite_vtt_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/sprite.vtt",
"default_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail.jpg",
"urls": [
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_1.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_2.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_3.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_4.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_5.jpg"
]
},
"playback": {
"direct_play_url": "/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/505362a2-7f3e-4bb3-b646-6571c079f635",
"hls_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/playlist.m3u8",
"dash_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/playlist.mpd",
"embed_url": "/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/505362a2-7f3e-4bb3-b646-6571c079f635"
}
},
"folder_id": null,
"format": "abr",
"status": "created",
"description": "this is my description",
"name": "Test video",
"resolutions": [
"240p",
"360p",
"480p",
"720p",
"1080p"
],
"tags": null,
"metadata": [
{
"key": "note",
"value": "this value of note"
},
{
"key": "task",
"value": "this value of task"
}
],
"size_bytes": 0,
"raw_size_bytes": 158008374,
"duration_seconds": 0,
"duration": 0,
"organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
"id": "505362a2-7f3e-4bb3-b646-6571c079f635",
"library_id": "314221a1-3cbf-4d3c-846e-f6c22bc43064"
},
"message": "Video Created Successfully",
"success": true
}Uploads video directly under a library.
curl --request POST \
--url https://api.tenbyte.io/v1/stream/libraries/{libraryId}/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/sample/BigBuckBunny.mp4"
}
'{
"data": {
"updated_at": "2025-11-10T14:44:36.377486+06:00",
"created_at": "2025-11-10T14:44:36.377486+06:00",
"assets": {
"thumbnails": {
"preview_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/preview.webp",
"sprite_vtt_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/sprite.vtt",
"default_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail.jpg",
"urls": [
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_1.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_2.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_3.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_4.jpg",
"https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/thumbnail_5.jpg"
]
},
"playback": {
"direct_play_url": "/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/505362a2-7f3e-4bb3-b646-6571c079f635",
"hls_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/playlist.m3u8",
"dash_url": "https://openresty-v2.sohel.pro/505362a2-7f3e-4bb3-b646-6571c079f635/playlist.mpd",
"embed_url": "/stream/314221a1-3cbf-4d3c-846e-f6c22bc43064/default/505362a2-7f3e-4bb3-b646-6571c079f635"
}
},
"folder_id": null,
"format": "abr",
"status": "created",
"description": "this is my description",
"name": "Test video",
"resolutions": [
"240p",
"360p",
"480p",
"720p",
"1080p"
],
"tags": null,
"metadata": [
{
"key": "note",
"value": "this value of note"
},
{
"key": "task",
"value": "this value of task"
}
],
"size_bytes": 0,
"raw_size_bytes": 158008374,
"duration_seconds": 0,
"duration": 0,
"organization_id": "a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04",
"id": "505362a2-7f3e-4bb3-b646-6571c079f635",
"library_id": "314221a1-3cbf-4d3c-846e-f6c22bc43064"
},
"message": "Video Created Successfully",
"success": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier of the library.
Source URL of the uploaded or external video file.
The title or display name of the video.
Short summary or context about the video content.
Keyβvalue pairs containing additional information or custom attributes for the video.
Show child attributes
Optional list of tags or labels for categorizing the video.
ID of the folder under which this video will be created. Use null to store it directly in the library root.